Name:           mujs
Version:        1.3.4
Release:        1
Summary:        An embeddable Javascript interpreter
License:        ISC
URL:            http://mujs.com/
# The mujs.com download page doesn't provide recent tarballs
# Github mirror of mujs.com repository provides releases from tags
Source0:        https://mujs.com/downloads/mujs-%{version}.tar.gz


#BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  readline-devel

%description
MuJS is a lightweight Javascript interpreter designed for embedding in
other software to extend them with scripting capabilities.

%package devel
Summary:        MuJS development files
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package provides the MuJS static library.

%prep
%setup -q -n %{name}-%{version}
chmod a-x -v docs/*


%build
%make_build release CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%install
%make_install prefix="%{_prefix}" libdir="%{_libdir}" CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%files
%license COPYING
%doc AUTHORS README docs
%{_bindir}/%{name}
%{_bindir}/%{name}-pp

%files devel
%license COPYING
%doc AUTHORS README
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a

%changelog
* Mon Dec 11 2023 Vicoloa <lvkun@uniontech.com> - 1.3.4-1
- upstream to 1.3.4

* Thu Sep 21 2023 leeffo <liweiganga@uniontech.com> - 1.3.3-1
- upstream to 1.3.3
- migrated to SPDX license

* Tue Feb 21 2023 liweiganga <liweiganga@uniontech.com> - 1.3.2-1
- upstream to 1.3.2
- fix CVE-2022-44789

* Tue Sep 27 2022 liweiganga <liweiganga@uniontech.com> - 1.2.0-2
- fix: fix CVE-2022-30974 CVE-2022-30974

* Mon Sep 26 2022 liweiganga <liweiganga@uniontech.com> - 1.2.0-1
- upstream release 1.2.0
- fix: fix CVE-2016-10141、CVE-2016-7504、CVE-2016-9136、CVE-2017-5628、CVE-2016-9017、\
       CVE-2016-7506、CVE-2017-5627、CVE-2016-9108、CVE-2016-9294

* Thu May 13 2021 He Rengui <herengui@uniontech.com> - 1.0.9-1
- package init
